Skip to main content
PATCH
/
orders
/
cancel
/
{orderId}
Cancel order
curl --request PATCH \
  --url https://staging-v2.sparqle.tech/orders/cancel/{orderId} \
  --header 'api-key: <api-key>'
{
  "id": 1,
  "orderId": "SPQ-10293",
  "orderRef": "PADE3JWEA",
  "status": "draft",
  "name": "iPod",
  "barcode": "3STBXX123456789",
  "trackingUrl": "https://tracking.sparqle.com/barcode/3STBXX123456789",
  "deliveryName": "Jane Doe",
  "deliveryEmail": "[email protected]",
  "deliveryAddress": "Gustav Mahlerlaan 320, 1082 ME Amsterdam",
  "deliveryEta": "12:40 - 13:00",
  "deliveryEtaDate": "2026-08-13",
  "deliveryDate": "2026-08-13",
  "locationId": 1,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

api-key
string
header
required

Path Parameters

orderId
string
required

Response

Order cancelled

id
integer
Example:

1

orderId
string
Example:

"SPQ-10293"

orderRef
string
Example:

"PADE3JWEA"

status
enum<string>
Available options:
draft,
expected,
in_transit,
out_for_delivery,
awaiting_next_attempt,
at_pickup_point,
completed,
failed,
in_return_transit,
returned,
cancelled,
rejected,
address_not_found,
inactive,
missing,
lost,
error
Example:

"draft"

name
string
Example:

"iPod"

barcode
string
Example:

"3STBXX123456789"

trackingUrl
string
Example:

"https://tracking.sparqle.com/barcode/3STBXX123456789"

deliveryName
string
Example:

"Jane Doe"

deliveryEmail
string
deliveryAddress
string
Example:

"Gustav Mahlerlaan 320, 1082 ME Amsterdam"

deliveryEta
string
Example:

"12:40 - 13:00"

deliveryEtaDate
string<date>
Example:

"2026-08-13"

deliveryDate
string
Example:

"2026-08-13"

locationId
integer
Example:

1

createdAt
string<date-time>
updatedAt
string<date-time>